<p>
	<label>Enable teasers on <select name="<?php echo GENESIS_SETTINGS_FIELD; ?>[teasers_enable]">
		<?php
		echo '<option style="padding-right: 10px;" value="Home Page" '.selected( 'Home Page', genesis_get_option('teasers_enable'), FALSE).'>Home Page</option>';
		echo '<option style="padding-right: 10px;" value="Blog Template" '.selected( 'Blog Template', genesis_get_option('teasers_enable'), FALSE).'>Blog Template</option>';
		echo '<option style="padding-right: 10px;" value="Archives" '.selected( 'Archives', genesis_get_option('teasers_enable'), FALSE).'>Archives</option>';
		?>
	</select></lable>
</p>
<p><input type="checkbox" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[no_pair_teasers]" id="<?php echo GENESIS_SETTINGS_FIELD; ?>[no_pair_teasers]" value="1" <?php checked(1, genesis_get_option('no_pair_teasers')); ?> /> <label for="<?php echo GENESIS_SETTINGS_FIELD; ?>[no_pair_teasers]"><?php _e('Do not show teasers in pairs.', 'genesis'); ?></label></p>
<p><input type="checkbox" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[disable_teaser_info]" id="<?php echo GENESIS_SETTINGS_FIELD; ?>[disable_teaser_info]" value="1" <?php checked(1, genesis_get_option('disable_teaser_info')); ?> /> <label for="<?php echo GENESIS_SETTINGS_FIELD; ?>[disable_teaser_info]"><?php _e('Disable post info (byline) on teasers?', 'genesis'); ?></label></p>
<p><input type="checkbox" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[disable_teaser_meta]" id="<?php echo GENESIS_SETTINGS_FIELD; ?>[disable_teaser_meta]" value="1" <?php checked(1, genesis_get_option('disable_teaser_meta')); ?> /> <label for="<?php echo GENESIS_SETTINGS_FIELD; ?>[disable_teaser_meta]"><?php _e('Disable post meta on teasers?', 'genesis'); ?></label></p>
<p>
	<label><input type="radio" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[use_css]" value="pluginstyles" <?php checked('pluginstyles', genesis_get_option('use_css')); ?> />
	<?php echo 'Plugin CSS' ?></label><br />
	<label><input type="radio" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[use_css]" value="stylesheet" <?php checked('stylesheet', genesis_get_option('use_css')); ?> />
	<?php echo 'Child Theme CSS' ?></label>
</p>
<p>
	<span class="description">NOTE: "Plugin CSS" will allow you to change the teasers height and width. "Child Theme CSS" uses the styles in child theme for teasers widths and height.</span>
</p>
<div class="css-opts <?php if ( genesis_get_option('use_css') === 'stylesheet' ) echo 'hidden' ?>">
	<p><input type="checkbox" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[enable_custom_teaser_styles]" id="<?php echo GENESIS_SETTINGS_FIELD; ?>[enable_custom_teaser_styles]" value="1" <?php checked(1, genesis_get_option('enable_custom_teaser_styles')); ?> /> <label for="<?php echo GENESIS_SETTINGS_FIELD; ?>[enable_custom_teaser_styles]"><?php _e('Edit teaser styles?', 'genesis'); ?></label></p>
	<div class="custom-css-opts <?php if ( genesis_get_option('enable_custom_teaser_styles') != 1 ) echo 'hidden' ?>">
	  <hr class="div">
	  <p><?php echo "Enter width for teaser boxes: "; ?>
	  <input type="text" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[post_teaser_width]" value="<?php echo esc_attr( genesis_get_option('post_teaser_width') ); ?>" size="3" />px</p>
	  <p><span class="description">Depending on your layout or child theme you may want to change the width of your teasers. By Default it will auto adjust. </span></p>

	  <p><?php echo "Enter height for teaser boxes: "; ?>
	  <input type="text" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[post_teaser_height]" value="<?php echo esc_attr( genesis_get_option('post_teaser_height') ); ?>" size="3" />px</p>
	  <p><span class="description">If you want a defined height place here. By default the height will auto adjust. </span></p>
	  <p><span class="description">( NOTE: When teasers are not show in pairs you cannot edit the height or width from the plugin. ) </span></p>

	</div>
</div>
<hr class="div">
<p>Featured posts settings:</p>
<p>
	<?php echo "How many Featured posts before teasers?"; ?>
	<input type="text" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[numof_full_posts]" value="<?php echo esc_attr( genesis_get_option('numof_full_posts') ); ?>" size="1" />
</p>
<p><label for="<?php echo GENESIS_SETTINGS_FIELD; ?>[featured_post_content_limit]">Limit featured post content to</label> <input type="text" size="3" value="<?php echo esc_attr( genesis_get_option('featured_post_content_limit') ); ?>" id="<?php echo GENESIS_SETTINGS_FIELD; ?>[featured_post_content_limit]" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[featured_post_content_limit]"> <label for="genesis-settings[featured_post_content_limit]">characters</label></p>
<p class="enable-feat-thumbnail"><input type="checkbox" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[gpt_enable_featured_thumbnail]" id="<?php echo GENESIS_SETTINGS_FIELD; ?>[gpt_enable_featured_thumbnail]" value="1" <?php checked(1, genesis_get_option('gpt_enable_featured_thumbnail')); ?> /> <label for="<?php echo GENESIS_SETTINGS_FIELD; ?>[gpt_enable_featured_thumbnail]"><?php _e('Include featured image on featured posts?', 'genesis'); ?></label></p>
<p style="padding-left: 20px;" class="select-feat-image-size <?php if ( genesis_get_option('gpt_enable_featured_thumbnail') == '' ) echo 'hidden' ?>">
	<?php _e("Image Size", 'genesis'); ?>:
	<?php $sizes = genesis_get_image_sizes(); ?>
	<select name="<?php echo GENESIS_SETTINGS_FIELD; ?>[gpt_thumbnail_featured_size]">
		<option style="padding-right:10px;" value="thumbnail">thumbnail (<?php echo get_option('thumbnail_size_w'); ?>x<?php echo get_option('thumbnail_size_h'); ?>)</option>
		<?php
		foreach((array)$sizes as $name => $size) :
			echo '<option style="padding-right: 10px;" value="'.$name.'" '.selected($name, genesis_get_option('teaser_thumbnail_size'), FALSE).'>'.$name.' ('.$size['width'].'x'.$size['height'].')</option>';
		endforeach;
		?>
	</select>
</p>
<hr class="div">
<p>Teaser settings:</p>
<p><label for="<?php echo GENESIS_SETTINGS_FIELD; ?>[teaser_post_content_limit]">Limit teaser post content to</label> <input type="text" size="3" value="<?php echo esc_attr( genesis_get_option('teaser_post_content_limit') ); ?>" id="<?php echo GENESIS_SETTINGS_FIELD; ?>[teaser_post_content_limit]" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[teaser_post_content_limit]"> <label for="genesis-settings[teaser_post_content_limit]">characters</label></p>
<p class="enable-thumbnail"><input type="checkbox" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[enable_teaser_thumbnail]" id="<?php echo GENESIS_SETTINGS_FIELD; ?>[enable_teaser_thumbnail]" value="1" <?php checked(1, genesis_get_option('enable_teaser_thumbnail')); ?> /> <label for="<?php echo GENESIS_SETTINGS_FIELD; ?>[enable_teaser_thumbnail]"><?php _e('Include featured image on teasers?', 'genesis'); ?></label></p>
<p style="padding-left: 20px;" class="select-image-size <?php if ( genesis_get_option('enable_teaser_thumbnail') == '' ) echo 'hidden' ?>">
	<?php _e("Image Size", 'genesis'); ?>:
	<?php $sizes = genesis_get_image_sizes(); ?>
	<select name="<?php echo GENESIS_SETTINGS_FIELD; ?>[teaser_thumbnail_size]">
		<option style="padding-right:10px;" value="thumbnail">thumbnail (<?php echo get_option('thumbnail_size_w'); ?>x<?php echo get_option('thumbnail_size_h'); ?>)</option>
		<?php
		foreach((array)$sizes as $name => $size) :
			echo '<option style="padding-right: 10px;" value="'.$name.'" '.selected($name, genesis_get_option('teaser_thumbnail_size'), FALSE).'>'.$name.' ('.$size['width'].'x'.$size['height'].')</option>';
		endforeach;
		?>
	</select>
</p>
<hr class="div">
<p>
	<?php echo "How many posts per page?"; ?>
	<input type="text" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[numof_posts_per_page]" value="<?php echo esc_attr( genesis_get_option('numof_posts_per_page') ); ?>" size="1" />
</p>
<?php /* <p><input type="checkbox" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[readmore_on_teasers]" id="<?php echo GENESIS_SETTINGS_FIELD; ?>[readmore_on_teasers]" value="1" <?php checked(1, genesis_get_option('readmore_on_teasers')); ?> /> <label for="<?php echo GENESIS_SETTINGS_FIELD; ?>[readmore_on_teasers]"><?php _e('Enable "Read More" link on teasers?', 'genesis'); ?></label></p> */ ?>
<p><?php echo 'Custom "[Continue reading...]" text.'; ?>
	<input type="text" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[readmore_link_on_teasers]" value="<?php echo esc_attr( genesis_get_option('readmore_link_on_teasers') ); ?>" size="15" />
</p>

<?php /*<p><label><input type="radio" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[show_advance_opts]" value="no" <?php checked('pluginstyles', genesis_get_option('use_css')); ?> />
		<?php echo 'Use default values for post info, meta and read more.' ?><br />
	<label><input type="radio" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[show_advance_opts]" value="yes" <?php checked('stylesheet', genesis_get_option('use_css')); ?> />
		<?php echo 'Filter text for post info, meta and the read more link.' ?></label>
	</p>
	<?php echo "Custom read more text."; ?>
	<input type="text" name="<?php echo GENESIS_SETTINGS_FIELD; ?>[readmore_link_on_teasers]" value="<?php echo esc_attr( genesis_get_option('readmore_link_on_teasers') ); ?>" size="15" /></p>
	</div>
*/ ?>